commit: 3018289c5b34015e7610602b7d9fdae54e4a2967
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 27 14:38:18 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 1 22:07:17 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3018289c
systemd.eclass: Add missing ||die on ntp file writes
eclass/systemd.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/systemd.eclass b/eclass/systemd.eclass
index e4349bc..8ec0c5d 100644
--- a/eclass/systemd.eclass
+++ b/eclass/systemd.eclass
@@ -296,7 +296,7 @@ systemd_enable_ntpunit() {
if [[ ! -f "${D}${unitdir}/${s}" ]]; then
die "ntp-units.d provider ${s} not installed (yet?) in
\${D}."
fi
- echo "${s}" >> "${T}"/${ntpunit_name}.list
+ echo "${s}" >> "${T}"/${ntpunit_name}.list || die
done
(